Skip to main content

How to Flash Firmware of LiteRadio 2 SE

Submit a request

Comments

36 comments

  • Martin Camilleri

    Seem to have this problem but can't update firmware as links to firmware are not working!

    1
  • Flint Wardenaar

    yes same here, please fix :)

    1
  • Flint Wardenaar

    Im waiting for the files to be reuploaded. I cannot fly my drone without it :( Does anybody maybe have an alternative source?

    1
  • stm32

    BETAFPV staff please update the download links !!!!

    please pleeeeease ! 

    1
  • gareth blades

    why is there no files to download ???? i now have a $80 paperweight not happy at all 

    1
  • linkingio95

    What about me that I have a B version (February)? No firmware?? Softbrick forever???

    1
  • BETAFPV

    So do you have any issue in binding? What do you mean Softbrick?

    0
  • linkingio95

    The radio was working but after I've updated the software it's broken and doesn't turn on. 

    The version I flashed was the Mode2_2021_1_18

    I've tried to flash also the older version available on the guide but none of them it's working and I can't just go back to the initial status of the radio because the firmware it's nowhere in the internet.

    I believe I just need to flash the version of the firmware made for the radios manufactured in February (as stated on the article above) so I need one of your technicians to send me that file since at the moment it's just sitting on your offices and nowhere online. 

    0
  • Sam

    I have a model with the product code A14 and couldnt properly bind should I get the new firmware and if so which Mode would I need for d8 reciever?

    0
  • BETAFPV

    The receiver you need to binding is in D8 protocol, right? Which receiver is it? The radio should be in D8 protocol before binding. The red LED flash 3 times before buzzer alarms. You could go to the Chapter Switching Protocol for more details.

    All the radios should work well with Frsky D8 protocol, no matter which batch. So you do not need to flash the firmware.

    0
  • Sam

    Thanks yes it is in the right protocol and binds initially but then I dont get any input from either of the sticks/any of the switches

    0
  • Artur Andreas

    Hello, i have the A6 Batch of the Betafpv Radiolite 2 SE and I updated to the Mode2_2021_1_18 but i still cant bind a XM+ with 2.1 LBT on it.The Receiver blinks 2 times red, so its the D16 LBT. Please sent some Help!

    1
  • Daniel von der Helm

    Hallo zusammen....
    Artur hatte das selbe Problem
    Ich konnte nach dem Flashen trotzdem kein frsky xm Empfänger nutzen er wollte einfach nicht Binden 😒.....
    Habe es dann aber mit dem RUIZHI S-FHSS + Frsky D16 Empfänger gebunden bekommen ohne Probleme ......
    Auf D16MODE LBT, Lampe muss 2x rot blinken beim an machen der FUNKE....Hoffe konnte dir damit helfen falls es noch relevant ist..

    Aber jetzt Zu meinem Anliegen, nach dem ich es nach Tagen geschafft hatte die funke zu Flashen damit es erst funktioniert Tzz..

    Nach der Hürde flog ich 3 Tage ca. Bis der rechte gimbel versagt hatte
    Auch bei betaflight wird kein Ausschlag mehr angezeigt wenn der Stick nach rechts bewegt wird 😤kalibrieren oder neu binden funktioniert leider auch nicht.... Als wäre es ein Wackelkontakt in der FUNKE beim Sensor des gimbels selbst 😭

    Habe Von anderen gehört das ich kein einzehl Fall bin mit diesem Problem
    Man sagte mir ich soll mich bei betafpv support melden
    Und ich würde dann ersetzt gimbels bekommen
    ....
    Habe alles angeschrieben was ging
    Bitte hilfe will die funke doch behalten

    0
  • Daniel vdh

    Hallo zusammen ....
    Artur hatte das selbe Problem
    Ich konnte nach dem Flashen  kein frsky xm wissen nutzen er gewählt einfach nicht Binden H .....
    Habe es dann aber mit dem RUIZHI S-FHSS + Frsky D16 gebunden bekommen ohne Probleme ......
    Auf D16MODE LBT, Lampe muss 2x rot blinken beim machen der FUNKE ....

    Aber jetzt zu meinem eigenen Anliegen, nach dem ich es nach Tagen geschafft hatte die funke zu Flashen damit es erst funktion Tzz ..

    Nach der Hürde flog ich 3 Tage ca. Bis der rechte gimbel versagt hatte auch
    bei betaflight wird kein Ausschlag mehr angezeigt wenn der Stick nach rechts gezogen wird kalibrieren oder das neu binden hat nicht Funkioniert

    Habe Von Anderen Gehört das ich kein einzehl Fall bin Mit diesem Problem
    Man sagte du mir  ich soll mich bei betafpv Support melden
    Und ich würde Dann Ersetzt gimbels bekommen
    ....
    Habe alles angeschrieben wurde rn
    Bitte hilfe wird sterben funkt doch behalten

    0
    0
  • Segrex

    Hi,

    You should be more clear about the firmware updates for the various versions of the Literadio 2 SE on the market.

    From the way you explain it seems that there are multiple hardware revisions of the radio, but it is not clear if it is better to update or not.

    For example, I have one produced in February 2021, I can no longer bind it in frsky lbt, it works only in frsky fcc, should I update it or not?

    1
  • Tom Keeton

    Have A26 model so should not have to flash LiteRadio_2_SE_Frsky_1_9_Mode 2.bin.  Won't bind to Jumper R1 receiver.  Tried flashing LiteRadio_2_SE_FRSKY_FUTABA_Mode2_2021_1_18.bin.  No joy.  Went ahead and flashed LiteRadio_2_SE_Frsky_1_9_Mode 2.bin.  Still no joy.

    What do I do to use this radio?

    0
  • linkingio95

    I have a Lite Radio 2 SE from the starter kit and it's not binding with the Beta65s Lite included in the kit. It's over TWENTY DAYS that I'm trying to get technical support or a replacement but no one is helping out, what is going on at BetaFPV? At this point I feel scammed.

    1
  • Igor

    linkingio95 starter kit is bayang protocol not frsky like one the beta65s

     

    And please update the download link  BETAFPV

    0
  • Bubba

    I am running windows 10 trying to update the firmware after installing incorrect firmware via OpenTX. I have installed "VCP_V1.5.0_Setup_W8_x64_64bits.exe"  but these are my only ports available.
    When I click "Write to TX" nothing happens.
    It does not fail or go to 100% Please help. I was able to bind before messing with firmware.

     

    1
  • Thepignou

    hi everybody, 
    My controller is now softbrick thanks to this ***** tutorial. 
    I was not able to bind with eu-LBT. I was happy to see a solution with this tutorial. 
    After the firmware upload, i'm now not able to power on my controller. It's totally softbrick. I can only power on in setup mode. Trying to contact the support but they are totally incompetent and answer like im totally silly and pretend that i "dont press the bind button" to bind.... Tsssss They dont want to refund or send a new controller... 
    BetaFPV it was my last order. 

    1
  • Shern Peters

    I bought this Betaflight LiteRadio 2 SE controller. It would not bind to the receiver (Jumper R1+, nor the FrSky XM+). I decided to update firmware using these instructions above. The update firmware was successful, NOW THE CONTROLLER DOES NOT POWER ON. Same as some of the issues submitted above. 

    PLEASE PROVIDE PROPER FIRMWARE!!!!

    1
  • David Hodges

    Has anyone found a way to turn it on after softbricking? 
    I feel like if I could at least turn it on, I could connect it to my computer and try reflashing

     

    0
  • Nfm127

    Ah, what a great start into the hobby. Products not working like they should and the firmware the manufacturers supply "softbricks" the radio making it worthless. Along with the poor customer service. Cant even use it for a simulator. If only i knew there was comments i wouldnt have even done a single step in this "Fix"

    0
  • Dr Mike Reddy

    I wish I’d only installed the PC drivers, as I was trying to get the controller to work for VelociDrone, as well as OpenTX 2.2.4. However, OpenTX never saves the “lite radio” option, and so never connects. I thought the firmware update would help. It didn’t, and now I can’t bind to the Advanced Racing Kit 2 drone; a meteor 75 I believe, which was working fine before the update. I’ll have to try the other firmwares, but worried I’ll brick it. If you’re reading this and struggling to get the PC link working, DON’T upgrade the firmware, just install the drivers. I can’t fly my drone now, other than simulated

    0
  • Dr Mike Reddy

    Guessing the SE version doesn’t even work with OpenTX, so feeling very disappointed today

    0
  • olivier

    hello can we flash the literadio with a macbook?

    0
  • Kathy

    @olivier

    Hi Sir, the lite raido can only be flashed using Windows system. Thank you.

    0
  • Kathy

    @Dr Mike Reddy

    Hi Sir,The literadio 2SE remote control does not use the "open TX" system, so it is impossible to use the open TX software to configure the remote control; You can send us the work order of technical support; To solve the problem of being unable to bind.

    https://support.betafpv.com/hc/en-us/articles/900004682543-Contact-US

    0
  • Kathy

    @David Hodges

    Hi Sir, sorry for the dealyed answer. Have you solved the problem? If you can't fix it by yoursely, please send a ticket to our after-service department.

    BETAFPV Support Center > Terms And Conditions > Contact Us > Support Tickeds.
     
    0
  • Kathy

    @Igor

    Hi, the link has been updayed. Please check.

    1

Please sign in to leave a comment.